=== debian/changelog ===
workrave (1.10.37-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version up to 4.5.0.
  * Switch from debian/compat to debhelper-compat (= 12).
  * Build without root.

 -- Francois Marier <francois@debian.org>  Wed, 18 Mar 2020 21:54:07 -0700
