=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CXXFLAGS += -std=c++11

# Ubuntu has not multiarchified its indicators
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	export INDICATOR_DIR = usr/lib/indicators3/7
else
	export INDICATOR_DIR = usr/lib/*/indicators3/7
endif

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=\$${prefix}/lib/gnome-applets \
		--disable-dependency-tracking \
		--disable-static \
		--enable-dbus \
		--enable-gsettings \
		--enable-indicator \
		--enable-exercises \
		--enable-mate \
		--enable-xfce \
		--disable-gconf

override_dh_compress:
	dh_compress --exclude=gnuplot-workrave --exclude=workrave-dump

override_dh_install:
	find debian -name '*.la' -print -delete
	find debian -name 'libworkrave-*private*.so' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installexamples-arch:
	dh_installexamples
	chmod +x $(CURDIR)/debian/workrave/usr/share/doc/workrave/examples/gnuplot-workrave
	chmod +x $(CURDIR)/debian/workrave/usr/share/doc/workrave/examples/workrave-dump

override_dh_auto_test:
