=== debian/changelog ===
workrave (1.10.44-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * fix-gnome-extension-crash.patch: new patch, fixes GNOME extension crash at
    Shell startup. (Closes: #986968)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 15 Apr 2021 21:29:48 +0200

workrave (1.10.44-7) unstable; urgency=medium

  * Bump copyright years in debian/copyright.

 -- Francois Marier <francois@debian.org>  Tue, 19 Jan 2021 00:09:17 -0800

workrave (1.10.44-6) unstable; urgency=medium

  * Use upstream commit to fix build with xfce4-panel 4.15 (closes: #978188).

 -- Francois Marier <francois@debian.org>  Mon, 28 Dec 2020 18:00:59 -0800

workrave (1.10.44-5) unstable; urgency=medium

  [ Unit 193 ]
  * d/control:
    - Replace Build-Depends: xfce4-panel-dev → libxfce4panel-2.0-dev for GTK3.

  [ Francois Marier ]
  * Add upstream metadata.
  * Bump Standards-Version up to 4.5.1.
  * Update debian/watch file to version 4.

 -- Francois Marier <francois@debian.org>  Sat, 28 Nov 2020 19:31:24 -0800

workrave (1.10.44-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Install the gnome-panel module into multi-arch location.
  * Install the GObject introspection typelib into multi-arch location.
  * Use ${DEB_HOST_MULTIARCH} substitution in debian/workrave.install.

  [ Francois Marier ]
  * Rename Vcs-git to Vcs-Git in debian/control (lintian warning).

 -- Francois Marier <francois@debian.org>  Fri, 16 Oct 2020 20:54:31 -0700

workrave (1.10.44-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Switch from deprecated libpanel-applet-dev to libgnome-panel-dev.
    - Update install files.
    - Remove dh-exec build-dependency, no longer needed.

 -- Francois Marier <francois@debian.org>  Mon, 18 May 2020 17:10:14 -0700

workrave (1.10.44-2) unstable; urgency=medium

  * Restore missing private libraries.

 -- Francois Marier <francois@debian.org>  Sun, 17 May 2020 16:48:35 -0700

workrave (1.10.44-1) unstable; urgency=medium

  * New upstream release
  * Switch build dependency to libayatana-indicator3 (closes: #956759).
  * Patch configure.ac to build with libayatana-indicator3.
  * Bump debhelper-compat to 13.

 -- Francois Marier <francois@debian.org>  Sun, 17 May 2020 10:31:57 -0700

workrave (1.10.43-1) unstable; urgency=medium

  * New upstream release

 -- Francois Marier <francois@debian.org>  Mon, 13 Apr 2020 17:47:12 -0700

workrave (1.10.42-1) unstable; urgency=medium

  * New upstream release.

 -- Francois Marier <francois@debian.org>  Fri, 10 Apr 2020 10:38:54 -0700
