=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
  Jordi Mallach <jordi@debian.org>,
 Build-Depends:
  autoconf-archive,
- debhelper-compat (= 12),
- dh-exec,
+ debhelper-compat (= 13),
  docbook-utils,
  gobject-introspection (>= 0.6.7),
  gsettings-desktop-schemas-dev,
  intltool,
+ libayatana-indicator3-dev,
  libboost-dev,
  libdbus-glib-1-dev (>= 0.84),
  libdbusmenu-glib-dev (>= 0.1.1),
@@ -20,27 +20,26 @@
  libgirepository1.0-dev (>= 0.6.7),
  libglib2.0-0 (>= 2.30),
  libglibmm-2.4-dev (>= 2.28.0),
+ libgnome-panel-dev (>= 3.37.1),
  libgstreamer1.0-dev,
  libgtk-3-dev (>= 3.0.0),
  libgtkmm-3.0-dev (>= 3.0.0),
- libindicator3-dev (>= 0.3.19),
  libmate-panel-applet-dev,
- libpanel-applet-dev [!s390x],
  libpulse-dev (>= 0.9.5),
  libsigc++-2.0-dev (>= 2.2.4.2),
+ libxfce4panel-2.0-dev,
  libxi-dev,
  libxmu-dev,
  libxss-dev,
  libxtst-dev,
  python3-jinja2,
- xfce4-panel-dev,
  xmlto,
 Build-Conflicts:
  libgstreamer0.10-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.workrave.org/
-Vcs-git: https://salsa.debian.org/debian/workrave.git
+Vcs-Git: https://salsa.debian.org/debian/workrave.git
 Vcs-Browser: https://salsa.debian.org/debian/workrave
 
 Package: workrave
