=== debian/watch ===
version=4
opts=uversionmangle=s/_/./g \
  https://github.com/rcaelers/workrave/releases /rcaelers/workrave/archive/v([0-9_]+)\.tar\.gz
